MSGATTRIB(1)

NOM
msgattrib — correspondance et manipulation d'attributs dans un catalogue de messages

SYNOPSIS
msgattrib [OPTION] [INPUTFILE]

DESCRIPTION

Filtrer les messages d'un catalogue de traductions selon leurs attributs et manipuler les attributs.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

  Localisation du fichier d'entrée :

INPUTFILE
    fichier PO d'entrée

-D, --directory=RÉPERTOIRE
    ajouter RÉPERTOIRE à la liste pour la recherche de fichiers d'entrée.

Si aucun fichier d'entrée n'est indiqué ou si c'est « - », c'est l'entrée standard qui est lue.

  Localisation du fichier de sortie :

-o, --output-file=FICHIER
    écrire la sortie dans le fichier spécifié.

Les résultats seront écrits sur la sortie standard si aucun fichier n'est spécifié ou si c'est -.

  Sélection de messages :

--translated
    conserver les messages traduits et supprimer les messages qui ne le sont pas.

--untranslated
    conserver les messages non traduits et supprimer les messages traduits.

--no-fuzzy
    supprimer les messages marqués « fuzzy ».

--only-fuzzy
    conserver uniquement les messages marqués « fuzzy ».

--no-obsolete
    supprimer les messages obsolètes marqués « #~ ».

--only-obsolete
    conserver uniquement les messages obsolètes marqués « #~ ».

  Manipulation d'attributs :

--set-fuzzy
    définir tous les messages comme « fuzzy ».

--clear-fuzzy
    définir tous les messages comme non « fuzzy ».

--set-obsolete
    définir tous les messages comme obsolètes.

--clear-obsolete
    définir tous les messages comme non obsolètes.

--previous
    lors de la définition de messages comme « fuzzy », conserver les msgids précédents des messages traduits.

--clear-previous
    retirer les « msgids précédents » de tous les messages.

--empty
    lors de la suppression des « fuzzy», définir également comme vide le msgstr.

--only-file=FICHIER.po
    manipuler uniquement les entrées listées dans FICHIER.po.

--ignore-file=FICHIER.po
    manipuler uniquement les entrée non listées dans FICHIER.po.

--fuzzy
    synonyme de --only-fuzzy --clear-fuzzy.

--obsolete
    synonyme de --only-obsolete --clear-obsolete.

  Syntaxe du fichier d'entrée :

-P, --properties-input
    le fichier d'entrée a la syntaxe .properties de Java.

--stringtable-input
    le fichier d'entrée a la syntaxe .strings de NeXTstep/GNUstep.

  Détails de la sortie :

--color
    utiliser toujours la couleur et d'autres attributs de texte.

--color=QUAND
    utiliser la couleur et d'autres attributs de texte si QUAND. QUAND peut être always, never, auto ou html.

--style=FICHIER_STYLE
    spécifier le fichier de règles de style CSS pour --color.

-e, --no-escape
    ne pas utiliser de séquence d'échappement C dans la sortie (par défaut).

-E, --escape
    utiliser les séquences d'échappement C dans la sortie, pas les caractères étendus.

--force-po
    écrire un fichier PO même s'il est vide.

-i, --indent
    écrire le fichier .po en utilisant le style indenté.

--no-location
    ne pas écrire les lignes « #: nom_fichier:ligne ».

-n, --add-location
    générer les lignes « #: nom_fichier:ligne » (par défaut).

--strict
    écrire un fichier .po strictement conforme au format Uniforum.

-p, --properties-output
    écrire un fichier .properties Java.

--stringtable-output
    écrire un fichier .strings NeXTstep/GNUstep.

-w, --width=NOMBRE
    régler la largeur de page de la sortie.

--no-wrap
    ne pas scinder en plusieurs lignes les longues lignes de message, plus longues que la largeur de la page de sortie.

-s, --sort-output
    générer une sortie triée.

-F, --sort-by-file
    trier la sortie par emplacement de fichier.

  Sortie informative :

-h, --help
    Afficher l'aide-mémoire et quitter.

-V, --version
    Afficher les informations de version et quitter.

AUTEUR
Écrit par Bruno Haible.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 2001-2024 Free Software Foundation, Inc. License GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de msgattrib est disponible dans un manuel Texinfo. Si les programmes info et msgattrib sont correctement installés, la commande

    info msgattrib

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.